﻿<div ng-controller="trackandtraceController as vm">
    <br />
    <div class="row">
        <div class="col-xs-3 my-track-image" style="width: 353px; height: 300px;">
            @*<div class="col-xs-12 col-lg-12 form-group">
                    <div class="col-xs-12 no-offset" >
                        <img src="~/Content/image/box-trackandtrace.jpg" style="margin-top:50px; position: absolute; left: 0;" />
                    </div>
                </div>*@
        </div>
        <div class="col-xs-8">
            <form name="userForm">
                <div class="col-xs-12">
                    <h1 class="my-header">Track and Trace</h1>
                </div>
                <div class="col-xs-7">
                    <div class="col-xs-6 no-offset">
                        <label id="lblRoleMenu" for="ddlIdentityRoles" class="my-label">Tracking Number</label>
                    </div>
                    <div class="col-xs-6 no-offset">
                        <label id="lblRoleMenu" for="ddlIdentityRoles" class="my-label">Tracking Reference Number</label>
                    </div>{{maxlines}}
                    <div class="col-xs-6 no-offset" ng-class="{ 'has-error': userForm.TextArea.$touched && userForm.TextArea.$invalid }">  
                        <textarea name="TextArea" ng-disabled="visibleTrackNumberTextArea" ng-change="vm.onChangeTracknumber()" ng-model="trackingNumber" placeholder="Enter consignment number here, one per line (maximum 10 numbers)" class="form-control txtInput" rows="10" maxlines="10" maxlines-prevent-enter="true" style="height:180px" required> </textarea>
                        <div class="help-block" ng-messages="userForm.TextArea.$error" ng-if="userForm.TextArea.$invalid && userForm.TextArea.$touched">
                            @*&& userForm.TextArea.$touched*@ @*ng-pattern="/^[a-zA-Z0-9]*$/"*@ @*ng-pattern="/^[0-9\n]*$/"*@
                            <p ng-message="minlength">Your tracking number is too short.</p>
                            <p ng-message="maxlength">Your tracking number is too long.</p>
                            <p ng-message="required"></p>
                            <p ng-message="pattern">Your tracking number invalid</p>
                            <p ng-message="maxlines">Your number is over maximum.</p>
                        </div>
                        @*<div class="has-error help-block" style="color:#a94442">
                        <p ng-if="IsNoDataTrackingNumber && !visibleTrackNumberTextArea">Your number is not found.</p>
                    </div>*@
                    </div>

                    <div class="col-xs-6 no-offset" ng-class="{ 'has-error': userForm.CusRefNum.$touched && userForm.CusRefNum.$invalid }">  
                        <textarea name="CusRefNum" ng-disabled="visibleCusRefTextArea" ng-change="vm.onChangeTracknumber()" ng-model="customerRefNumber" placeholder="Enter customer reference number here, one per line (maximum 10 numbers)" class="form-control txtInput" rows="10" maxlines="10" maxlines-prevent-enter="true" style="height:180px" required> </textarea>
                        <div class="help-block" ng-messages="userForm.CusRefNum.$error" ng-if="userForm.CusRefNum.$invalid && userForm.CusRefNum.$touched">
                            <p ng-message="minlength">Your customer reference number is too short.</p>
                            <p ng-message="maxlength">Your customer reference number is too long.</p>
                            <p ng-message="required"></p>
                            <p ng-message="maxlines">Your number is over maximum.</p>
                        </div>
                        @*<div class="has-error help-block" style="color:#a94442">
                        <p ng-if="IsNoDataTrackingNumber && !visibleCusRefTextArea">Your number is not found.</p>
                    </div>*@

                        @*<div class="has-error help-block" style="color:#a94442">
                        <p ng-if="IsNoDataTrackingNumber">Your number is not found.</p>
                    </div>*@
                    </div>
                    <div class="col-xs-12">
                        <div class="has-error help-block text-center" style="color:#a94442">
                            <p ng-if="IsNoDataTrackingNumber">Your number is not found.</p>
                            <p ng-if="IsOverCountTrackingNumber">Your number is over maximum.</p>
                        </div>
                    </div>
                    
                </div>
                <div class="col-xs-4" style="padding-right: 0px;">
                    <div class="col-xs-12" style="padding-left: 0px;">
                        <label id="lblRecent" for="ddlIdentityRoles" class="my-label">Recent queries</label>
                    </div>
                    <div class="col-xs-12" style="padding-left: 0px;">
                        <table>
                            <thead>
                                <tr></tr>
                            </thead>
                            <tbody class="my-font-recent">
                                <tr ng-repeat="recent in RecentNumbersArray track by $index">
                                    <td>
                                        <label id="lblParentName" class="cursor-pointer" ng-click="vm.checkItemRecent(recent)">{{recent.item}}</label>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <input id="btnCheckItem" type="button" class="btn btn-check-item-status" value="CHECK ITEM STATUS" ng-click="vm.checkItemStatus()" ng-disabled="userForm.TextArea.$invalid && userForm.CusRefNum.$invalid">
                    </div>
                </div>
            </form>
        </div>
        <div class="col-xs-1">
        </div>

        <div class="col-xs-12">
            <hr class="my-hr" />
        </div>
        <div class="col-xs-12" ng-if="trackAndTraceDetailTimeline.length >0 && trackAndTraceDetailTimeline != null"> @*trackAndTraceDetailTable.length >0 && trackAndTraceDetailTable != null*@
            <table class="spacing-table">
                <thead>
                    <tr>
                        <th class="text-center col-xs-2">
                            <span>Tracking No.</span>
                        </th>
                        <th class="text-center col-xs-2">
                            <span>Customer Ref. No.</span>
                        </th>
                        <th class="text-center col-xs-2">
                            <span>Consignee</span>
                        </th>
                        <th class="text-center col-xs-2">
                            <span>Location</span>
                        </th>
                        <th class="text-center col-xs-2">
                            <span>Status</span>
                        </th>
                        <th class="text-center col-xs-2">
                            <span>Date / Time</span>
                        </th>
                        <th class="text-center col-xs-2">
                            <span></span>
                        </th>
                    </tr>
                </thead>
                <tbody class="text-center">
                    <tr style="cursor: pointer;" ng-click="vm.checkItemStatusOnTable(item.consignment_no)" ng-repeat="item in trackAndTraceDetailTable">
                        <td>
                            <p>{{item.consignment_no}}</p>
                        </td>
                        <td>
                            <p>{{item.ref_no}}</p>
                        </td>
                        <td>
                            <p>{{item.consignee_name}}</p>
                        </td>
                        <td>
                            <p>{{item.location}}</p>
                        </td>
                        <td ng-class="{ myproofstatus : item.status_description === 'Proof of Delivery' }">
                            <p>{{item.status_description}}</p>
                        </td>
                        <td>
                            <p class="my-p-one">{{item.tracking_datetime2 | date: 'dd/MM/yyyy'}}</p>
                            <p class="my-p-two">{{item.tracking_datetime2 | date : 'HH:mm'}}</p>
                        </td>
                        <td class="my-bt-right">
                            <button class="btn btn-view-track" ng-click="vm.checkItemStatusOnTable(item.consignment_no)"><i class="fa fa-eye fa-lg cursor-pointer"></i></button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="col-xs-12" style="margin-top:20px;" ng-if="trackAndTraceDetailTimeline.length > 0">
            <div class="col-xs-3">
                <div class="col-xs-12 no-offset" style="margin-bottom:20px; padding-left: 0px;">
                    <p class="my-paragraph">Consignment Number : <span class="my-span-color">{{trackAndTraceHeader.consignment_no}}</span></p>
                </div>
                <div class="col-xs-12 no-offset" style="margin-bottom:20px; padding-left: 0px;">
                    <p class="my-paragraph">Customer Ref. No : <span class="my-span-color">{{trackAndTraceHeader.ref_no}}</span></p>
                </div>
                <div class="col-xs-12 no-offset" style="margin-bottom:20px;  padding-left: 0px;">
                    <p class="my-paragraph">Status : <span class="myotherstatus" ng-class="{ myproofstatus : trackAndTraceHeader.status_description === 'Proof of Delivery' }">{{trackAndTraceHeader.status_description}}</span></p>
                </div>
                <div class="col-xs-12 no-offset my-label" style="margin-bottom:20px; padding-left: 0px;">
                    <p class="panel-title-two" data-toggle="collapse" data-target="#collapseOne" style="cursor: pointer;">
                        More Shipment Details 
                    </p>
                    <div id="collapseOne" class="panel-collapse collapse my-panel-color">
                        <div>
                            <p>Booking Number : {{trackAndTraceHeader.booking_no}}</p>
                            <p>Booking D/T : {{trackAndTraceHeader.booking_datetime | date: 'dd/MM/yyyy HH:mm'}}</p>  @*| date: 'dd/MM/yyyy HH:mm'*@
                            <p>Est. Del. D/T : {{trackAndTraceHeader.est_delivery_datetime | date: 'dd/MM/yyyy HH:mm'}}</p>
                            <p>Service Type : {{trackAndTraceHeader.service_code}}</p>
                            <p>Origin Province : {{trackAndTraceHeader.origin_state_code}}</p>
                            <p>Dest. Province: {{trackAndTraceHeader.destination_state_code}}</p>
                            <p>Payer ID : {{trackAndTraceHeader.payerid}}</p>
                            <p>Payer Name : {{trackAndTraceHeader.payer_name}}</p>
                        </div>
                    </div>

                </div>
                <div class="col-xs-12 no-offset my-label" style="margin-bottom:20px; padding-left: 0px;">
                    <input type="checkbox" ng-click="vm.expandPackageDetails(expandPackageDetails)" ng-model="expandPackageDetails" class="form-check-input" id="returnPackages"><strong> Expand Package Details</strong>
                </div>
            </div>
            <div class="col-xs-8 col-lg-8 my-borderleft" ng-if="trackAndTraceDetailTimeline.length >0 && trackAndTraceDetailTimeline != null">
                <div class="col-xs-12 no-offset">
                    <table class="table-stripe2" ng-if="trackAndTraceDetailTimeline.length <= 5 || IsShowAll ">
                        <tbody class="tbodyme">
                            <tr ng-repeat="item in trackAndTraceDetailTimeline">
                                <td class="text-center col-xs-3">
                                    <div class="container2 left2">
                                        <div class="content2">
                                            @*<p ng-if="item.tracking_datetime.length <= 16" style="text-align:right">Date {{item.tracking_datetime2 | date: 'dd/MM/yyyy'}}</p>
                    <p ng-if="item.tracking_datetime.length > 16" style="text-align:right">Date {{item.tracking_datetime}}</p>
                    <p ng-if="item.tracking_datetime.length <= 16" style="margin-top: -10px; text-align:right">Time {{item.tracking_datetime2 | date: 'HH:mm'}}</p>*@
                                            <p ng-if="item.tracking_datetime.length > 16" style="text-align:right">Date {{item.tracking_datetime}}
                                            <p ng-if="item.tracking_datetime.length <= 16" style="text-align:right">Date {{item.tracking_datetime2 | date: 'dd/MM/yyyy HH:mm' }}</p>

                                        </div>
                                    </div>
                                </td>
                                <td class="text-center col-xs-2">
                                    <div class="timeline" ng-class="{ timeline2 :  trackAndTraceDetailTimeline.length=== 1, timeline3 : $last}">
                                        <i class="fa fa-check-circle-o fa-3x my-icon-timelineone" ng-if="item.status_description == 'Proof of Delivery' "></i>
                                        <i class="fa fa-clock-o fa-3x my-icon-timelinetwo" ng-if="item.status_description != 'Proof of Delivery' "></i>
                                    </div>
                                </td>

                                <td class="text-center col-xs-3 leftTable">
                                    <p ng-class="{ myproofstatus : item.status_description === 'Proof of Delivery'} " style="text-align:left"> {{item.status_description}}</p>
                                    <p style="margin-top: -10px; text-align:left;" ng-if="item.status_description === 'Proof of Delivery'" ng-class="{ myproofstatus : item.status_description === 'Proof of Delivery' }">Consignee: {{item.consignee_name}} </p>
                                    <p class="my-span-color" style="margin-top: -10px; text-align:left;" ng-if="item.status_description != 'Proof of Delivery' && item.remarks != null ">Remark <i class="fa fa-exclamation-circle my-tooltip"><span class="my-tooltiptext">{{item.remarks}}</span></i></p>
                                    <p style="margin-top: 15px; text-align:left">Location - {{item.location}} </p>
                                </td>
                            </tr>
                        </tbody>
                    </table>



                    <table class="table-stripe2" ng-if="!IsShowAll">
                        <tbody class="tbodyme">
                            <tr ng-repeat="item in trackAndTraceDetailTimelineFirst">
                                <td class="text-center col-xs-3" ng-if="item.isShow">
                                    <div class="container2 left2">
                                        <div class="content2">
                                            @*<p style="text-align:right">Date {{item.tracking_datetime2 | date: 'dd/MM/yyyy'}}</p>
                                            <p style="margin-top: -10px; text-align:right">Time {{item.tracking_datetime2 | date: 'HH:mm'}}</p>*@
                                            <p ng-if="item.tracking_datetime.length > 16" style="text-align:right">Date {{item.tracking_datetime}}
                                            <p ng-if="item.tracking_datetime.length <= 16" style="text-align:right">Date {{item.tracking_datetime2 | date: 'dd/MM/yyyy HH:mm' }}</p>
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center col-xs-2" ng-if="item.isShow">
                                    <div class="timeline" @*ng-class="{ timeline2 :  trackAndTraceDetailTimeline.length=== 1, timeline3 : $last}"*@>
                                        <i class="fa fa-check-circle-o fa-3x my-icon-timelineone" ng-if="item.status_description == 'Proof of Delivery' "></i>
                                        <i class="fa fa-clock-o fa-3x my-icon-timelinetwo" ng-if="item.status_description != 'Proof of Delivery' "></i>
                                    </div>
                                </td>
                                <td class="text-center col-xs-3 leftTable" ng-if="item.isShow">
                                    <p ng-class="{ myproofstatus : item.status_description === 'Proof of Delivery'} " style="text-align:left"> {{item.status_description}}</p>
                                    <p style="margin-top: -10px; text-align:left;" ng-if="item.status_description === 'Proof of Delivery'" ng-class="{ myproofstatus : item.status_description === 'Proof of Delivery' }">Consignee: {{item.consignee_name}} </p>
                                    <p class="my-span-color" style="margin-top: -10px; text-align:left;" ng-if="item.status_description != 'Proof of Delivery' && item.remarks != null ">Remark <i class="fa fa-exclamation-circle my-tooltip"><span class="my-tooltiptext">{{item.remarks}}</span></i></p>
                                    <p style="margin-top: 15px; text-align:left">Location - {{item.location}} </p>
                                </td>
                            </tr>
                            <tr ng-if="trackAndTraceDetailTimeline.length > 5 "> @*!IsShowAll*@ 
                                <td class="text-center col-xs-2">
                                    <hr class="track" />
                                </td>
                                <td class="text-center col-xs-1">
                                    <div class="timeline"></div>
                                    <hr class="track" />
                                    <a ng-click="vm.expand()" style="cursor:pointer;"><i class="fa fa-chevron-circle-down fa-lg seemore-icon"></i></a>

                                </td>
                                <td class="text-center col-xs-3 leftTable" >
                                    <hr class="track" />
                                </td>
                            </tr>
                            <tr ng-repeat="item in trackAndTraceDetailTimelineLast">
                                <td class="text-center col-xs-3">
                                    <div class="container2 left2">
                                        <div class="content2">
                                            @*<p style="text-align:right">Date {{item.tracking_datetime2 | date: 'dd/MM/yyyy'}}</p>
                                            <p style="margin-top: -10px; text-align:right">Time {{item.tracking_datetime2 | date: 'HH:mm'}}</p>*@
                                            <p ng-if="item.tracking_datetime.length > 16" style="text-align:right">Date {{item.tracking_datetime}}
                                            <p ng-if="item.tracking_datetime.length <= 16" style="text-align:right">Date {{item.tracking_datetime2 | date: 'dd/MM/yyyy HH:mm' }}</p>
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center col-xs-2">
                                    <div class="timeline" ng-class="{ timeline2 :  trackAndTraceDetailTimeline.length=== 1, timeline3 : $last}">
                                        <i class="fa fa-check-circle-o fa-3x my-icon-timelineone" ng-if="item.status_description == 'Proof of Delivery' "></i>
                                        <i class="fa fa-clock-o fa-3x my-icon-timelinetwo" ng-if="item.status_description != 'Proof of Delivery' "></i>
                                    </div>
                                </td>
                                <td class="text-center col-xs-3 leftTable">
                                    <p ng-class="{ myproofstatus : item.status_description === 'Proof of Delivery'} " style="text-align:left"> {{item.status_description}}</p>
                                    <p style="margin-top: -10px; text-align:left;" ng-if="item.status_description === 'Proof of Delivery'" ng-class="{ myproofstatus : item.status_description === 'Proof of Delivery' }">Consignee: {{item.consignee_name}} </p>
                                    <p class="my-span-color" style="margin-top: -10px; text-align:left;" ng-if="item.status_description != 'Proof of Delivery' && item.remarks != null ">Remark <i class="fa fa-exclamation-circle my-tooltip"><span class="my-tooltiptext">{{item.remarks}}</span></i></p>
                                    <p style="margin-top: 15px; text-align:left">Location - {{item.location}} </p>
                                </td>
                            </tr>
                        </tbody>
                    </table>

                </div>
                <div class="col-xs-2 col-lg-2 form-group">
                    <div class="col-xs-12 no-offset">
                    </div>
                </div>
            </div>
            <div class="col-xs-1 col-lg-1">
                @*<div ng-click="vm.unExpand()" ng-if="IsShowAll && IsFlagCollap"><i style="cursor:pointer;" class="fa fa-chevron-up fa-lg"></i></div>*@
                <div ng-click="vm.unExpand()" ng-if="IsShowAll && IsFlagCollap"><i style="cursor:pointer;" class="fa fa fa-chevron-circle-up fa-2x nomore-icon"></i></div>
            </div>
        </div>
    </div>
</div>

